Subject: bug#59029: 29.0.50; noverlay: pdumper.c: dump_interval_node recursion has no base case

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Nov 2022 16:38:47 -0400

> See the code for dump_interval_node() in pdumper.c below.

This code is indeed incorrect.  Currently we can only dump deleted
overlays (the dump of a buffer fails if there are overlays in it), so
the code has only been tested for overlays that have been deleted (and
whose parent/left/right fields are NULL, which is not actually
guaranteed for deleted overlays: it's the case if the overlay has been
`delete-overlay`ed, but not if it was deleted by `kill-buffer`, IIRC).

And I fully agree with Gerd it should say "itree" rather than
"interval".

        Stefan